/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2020 (X86 64 LINUX)
  Maple source      : ./maple/gga_exc/gga_x_herman.mpl
  Type of functional: gga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t20, t22, t23, t25;
  double t27, t28, t30, t31, t33, t37, t41, tzk0;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t20 = t3 * t3;
  t22 = POW_1_3(0.1e1 / M_PI);
  t23 = 0.1e1 / t22;
  t25 = M_CBRT4;
  t27 = M_CBRT2;
  t28 = t27 * t27;
  t30 = rho[0] * rho[0];
  t31 = t18 * t18;
  t33 = 0.1e1 / t31 / t30;
  t37 = 0.1e1 + 0.66666666666666666668e-3 * t20 * t23 * t25 * sigma[0] * t28 * t33;
  t41 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t17 * t18 * t37);
  tzk0 = 0.2e1 * t41;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t20, t22, t23, t25;
  double t27, t28, t30, t31, t33, t37, t41, tzk0;

  double t47, t50, t53, t57, tvrho0, t64, t67, tvsigma0;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t20 = t3 * t3;
  t22 = POW_1_3(0.1e1 / M_PI);
  t23 = 0.1e1 / t22;
  t25 = M_CBRT4;
  t27 = M_CBRT2;
  t28 = t27 * t27;
  t30 = rho[0] * rho[0];
  t31 = t18 * t18;
  t33 = 0.1e1 / t31 / t30;
  t37 = 0.1e1 + 0.66666666666666666668e-3 * t20 * t23 * t25 * sigma[0] * t28 * t33;
  t41 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t17 * t18 * t37);
  tzk0 = 0.2e1 * t41;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t47 = t30 * rho[0];
  t50 = t17 / t18 / t47;
  t53 = t25 * sigma[0] * t28;
  t57 = my_piecewise3(t2, 0, -t6 * t17 / t31 * t37 / 0.8e1 + 0.13655681265105913629e-2 * t50 * t23 * t53);
  tvrho0 = 0.2e1 * rho[0] * t57 + 0.2e1 * t41;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t64 = t23 * t25 * t28;
  t67 = my_piecewise3(t2, 0, -0.51208804744147176112e-3 * t17 / t18 / t30 * t64);
  tvsigma0 = 0.2e1 * rho[0] * t67;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t20, t22, t23, t25;
  double t27, t28, t30, t31, t33, t37, t41, tzk0;

  double t47, t50, t53, t57, tvrho0, t64, t67, tvsigma0;

  double t76, t79, t84, tv2rho20, t89, tv2rhosigma0, tv2sigma20;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t20 = t3 * t3;
  t22 = POW_1_3(0.1e1 / M_PI);
  t23 = 0.1e1 / t22;
  t25 = M_CBRT4;
  t27 = M_CBRT2;
  t28 = t27 * t27;
  t30 = rho[0] * rho[0];
  t31 = t18 * t18;
  t33 = 0.1e1 / t31 / t30;
  t37 = 0.1e1 + 0.66666666666666666668e-3 * t20 * t23 * t25 * sigma[0] * t28 * t33;
  t41 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t17 * t18 * t37);
  tzk0 = 0.2e1 * t41;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t47 = t30 * rho[0];
  t50 = t17 / t18 / t47;
  t53 = t25 * sigma[0] * t28;
  t57 = my_piecewise3(t2, 0, -t6 * t17 / t31 * t37 / 0.8e1 + 0.13655681265105913629e-2 * t50 * t23 * t53);
  tvrho0 = 0.2e1 * rho[0] * t57 + 0.2e1 * t41;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t64 = t23 * t25 * t28;
  t67 = my_piecewise3(t2, 0, -0.51208804744147176112e-3 * t17 / t18 / t30 * t64);
  tvsigma0 = 0.2e1 * rho[0] * t67;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t76 = t30 * t30;
  t79 = t17 / t18 / t76;
  t84 = my_piecewise3(t2, 0, t6 * t17 / t31 / rho[0] * t37 / 0.12e2 - 0.40967043795317740887e-2 * t79 * t23 * t53);
  tv2rho20 = 0.2e1 * rho[0] * t84 + 0.4e1 * t57;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t89 = my_piecewise3(t2, 0, 0.11948721106967674426e-2 * t50 * t64);
  tv2rhosigma0 = 0.2e1 * rho[0] * t89 + 0.2e1 * t67;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2sigma20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t20, t22, t23, t25;
  double t27, t28, t30, t31, t33, t37, t41, tzk0;

  double t47, t50, t53, t57, tvrho0, t64, t67, tvsigma0;

  double t76, t79, t84, tv2rho20, t89, tv2rhosigma0, tv2sigma20;

  double t100, t105, tv3rho30, t111, tv3rho2sigma0, tv3rhosigma20, tv3sigma30;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t20 = t3 * t3;
  t22 = POW_1_3(0.1e1 / M_PI);
  t23 = 0.1e1 / t22;
  t25 = M_CBRT4;
  t27 = M_CBRT2;
  t28 = t27 * t27;
  t30 = rho[0] * rho[0];
  t31 = t18 * t18;
  t33 = 0.1e1 / t31 / t30;
  t37 = 0.1e1 + 0.66666666666666666668e-3 * t20 * t23 * t25 * sigma[0] * t28 * t33;
  t41 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t17 * t18 * t37);
  tzk0 = 0.2e1 * t41;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t47 = t30 * rho[0];
  t50 = t17 / t18 / t47;
  t53 = t25 * sigma[0] * t28;
  t57 = my_piecewise3(t2, 0, -t6 * t17 / t31 * t37 / 0.8e1 + 0.13655681265105913629e-2 * t50 * t23 * t53);
  tvrho0 = 0.2e1 * rho[0] * t57 + 0.2e1 * t41;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t64 = t23 * t25 * t28;
  t67 = my_piecewise3(t2, 0, -0.51208804744147176112e-3 * t17 / t18 / t30 * t64);
  tvsigma0 = 0.2e1 * rho[0] * t67;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t76 = t30 * t30;
  t79 = t17 / t18 / t76;
  t84 = my_piecewise3(t2, 0, t6 * t17 / t31 / rho[0] * t37 / 0.12e2 - 0.40967043795317740887e-2 * t79 * t23 * t53);
  tv2rho20 = 0.2e1 * rho[0] * t84 + 0.4e1 * t57;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t89 = my_piecewise3(t2, 0, 0.11948721106967674426e-2 * t50 * t64);
  tv2rhosigma0 = 0.2e1 * rho[0] * t89 + 0.2e1 * t67;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2sigma20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t100 = t17 / t18 / t76 / rho[0];
  t105 = my_piecewise3(t2, 0, -0.5e1 / 0.36e2 * t6 * t17 * t33 * t37 + 0.17448926060968667415e-1 * t100 * t23 * t53);
  tv3rho30 = 0.2e1 * rho[0] * t105 + 0.6e1 * t84;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t111 = my_piecewise3(t2, 0, -0.39829070356558914753e-2 * t79 * t64);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t111 + 0.4e1 * t89;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rhosigma20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3sigma30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t20, t22, t23, t25;
  double t27, t28, t30, t31, t33, t37, t41, tzk0;

  double t47, t50, t53, t57, tvrho0, t64, t67, tvsigma0;

  double t76, t79, t84, tv2rho20, t89, tv2rhosigma0, tv2sigma20;

  double t100, t105, tv3rho30, t111, tv3rho2sigma0, tv3rhosigma20, tv3sigma30;

  double t129, tv4rho40, t135, tv4rho3sigma0, tv4rho2sigma20, tv4rhosigma30, tv4sigma40;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t20 = t3 * t3;
  t22 = POW_1_3(0.1e1 / M_PI);
  t23 = 0.1e1 / t22;
  t25 = M_CBRT4;
  t27 = M_CBRT2;
  t28 = t27 * t27;
  t30 = rho[0] * rho[0];
  t31 = t18 * t18;
  t33 = 0.1e1 / t31 / t30;
  t37 = 0.1e1 + 0.66666666666666666668e-3 * t20 * t23 * t25 * sigma[0] * t28 * t33;
  t41 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t17 * t18 * t37);
  tzk0 = 0.2e1 * t41;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t47 = t30 * rho[0];
  t50 = t17 / t18 / t47;
  t53 = t25 * sigma[0] * t28;
  t57 = my_piecewise3(t2, 0, -t6 * t17 / t31 * t37 / 0.8e1 + 0.13655681265105913629e-2 * t50 * t23 * t53);
  tvrho0 = 0.2e1 * rho[0] * t57 + 0.2e1 * t41;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t64 = t23 * t25 * t28;
  t67 = my_piecewise3(t2, 0, -0.51208804744147176112e-3 * t17 / t18 / t30 * t64);
  tvsigma0 = 0.2e1 * rho[0] * t67;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t76 = t30 * t30;
  t79 = t17 / t18 / t76;
  t84 = my_piecewise3(t2, 0, t6 * t17 / t31 / rho[0] * t37 / 0.12e2 - 0.40967043795317740887e-2 * t79 * t23 * t53);
  tv2rho20 = 0.2e1 * rho[0] * t84 + 0.4e1 * t57;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t89 = my_piecewise3(t2, 0, 0.11948721106967674426e-2 * t50 * t64);
  tv2rhosigma0 = 0.2e1 * rho[0] * t89 + 0.2e1 * t67;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2sigma20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t100 = t17 / t18 / t76 / rho[0];
  t105 = my_piecewise3(t2, 0, -0.5e1 / 0.36e2 * t6 * t17 * t33 * t37 + 0.17448926060968667415e-1 * t100 * t23 * t53);
  tv3rho30 = 0.2e1 * rho[0] * t105 + 0.6e1 * t84;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t111 = my_piecewise3(t2, 0, -0.39829070356558914753e-2 * t79 * t64);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t111 + 0.4e1 * t89;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rhosigma20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3sigma30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t129 = my_piecewise3(t2, 0, 0.1e2 / 0.27e2 * t6 * t17 / t31 / t47 * t37 - 0.92555173019051192375e-1 * t17 / t18 / t76 / t30 * t23 * t53);
  tv4rho40 = 0.2e1 * rho[0] * t129 + 0.8e1 * t105;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t135 = my_piecewise3(t2, 0, 0.17259263821175529726e-1 * t100 * t64);
  tv4rho3sigma0 = 0.2e1 * rho[0] * t135 + 0.6e1 * t111;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho2sigma20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rhosigma30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4sigma40 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t35, t36, t37, t39, t43, t47;
  double t48, t49, t51, t52, t53, t54, t56, t57;
  double t58, t59, t60, t61, t63, t67, t71, tzk0;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = t2 * t2;
  t30 = POW_1_3(0.1e1 / M_PI);
  t31 = 0.1e1 / t30;
  t32 = t28 * t31;
  t33 = M_CBRT4;
  t34 = t33 * sigma[0];
  t35 = rho[0] * rho[0];
  t36 = POW_1_3(rho[0]);
  t37 = t36 * t36;
  t39 = 0.1e1 / t37 / t35;
  t43 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t34 * t39;
  t47 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t43);
  t48 = rho[1] <= p->dens_threshold;
  t49 = -t16;
  t51 = my_piecewise5(t14, t11, t10, t15, t49 * t7);
  t52 = 0.1e1 + t51;
  t53 = t52 <= p->zeta_threshold;
  t54 = POW_1_3(t52);
  t56 = my_piecewise3(t53, t22, t54 * t52);
  t57 = t56 * t26;
  t58 = t33 * sigma[2];
  t59 = rho[1] * rho[1];
  t60 = POW_1_3(rho[1]);
  t61 = t60 * t60;
  t63 = 0.1e1 / t61 / t59;
  t67 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t58 * t63;
  t71 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t57 * t67);
  tzk0 = t47 + t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t35, t36, t37, t39, t43, t47;
  double t48, t49, t51, t52, t53, t54, t56, t57;
  double t58, t59, t60, t61, t63, t67, t71, tzk0;

  double t72, t73, t74, t76, t79, t80, t84, t85;
  double t86, t89, t90, t93, t94, t98, t99, t101;
  double t104, t105, t109, t112, t114, tvrho0, t118, t121;
  double t122, t127, t129, t132, t133, t137, t140, t141;
  double t145, tvrho1, t148, t149, t152, tvsigma0, tvsigma1, t153;
  double t156, tvsigma2;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = t2 * t2;
  t30 = POW_1_3(0.1e1 / M_PI);
  t31 = 0.1e1 / t30;
  t32 = t28 * t31;
  t33 = M_CBRT4;
  t34 = t33 * sigma[0];
  t35 = rho[0] * rho[0];
  t36 = POW_1_3(rho[0]);
  t37 = t36 * t36;
  t39 = 0.1e1 / t37 / t35;
  t43 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t34 * t39;
  t47 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t43);
  t48 = rho[1] <= p->dens_threshold;
  t49 = -t16;
  t51 = my_piecewise5(t14, t11, t10, t15, t49 * t7);
  t52 = 0.1e1 + t51;
  t53 = t52 <= p->zeta_threshold;
  t54 = POW_1_3(t52);
  t56 = my_piecewise3(t53, t22, t54 * t52);
  t57 = t56 * t26;
  t58 = t33 * sigma[2];
  t59 = rho[1] * rho[1];
  t60 = POW_1_3(rho[1]);
  t61 = t60 * t60;
  t63 = 0.1e1 / t61 / t59;
  t67 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t58 * t63;
  t71 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t57 * t67);
  tzk0 = t47 + t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t72 = t6 * t6;
  t73 = 0.1e1 / t72;
  t74 = t16 * t73;
  t76 = my_piecewise5(t10, 0, t14, 0, t7 - t74);
  t79 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t76);
  t80 = t79 * t26;
  t84 = t26 * t26;
  t85 = 0.1e1 / t84;
  t86 = t25 * t85;
  t89 = t5 * t86 * t43 / 0.8e1;
  t90 = t27 * t31;
  t93 = 0.1e1 / t37 / t35 / rho[0];
  t94 = t34 * t93;
  t98 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t80 * t43 - t89 + 0.13655681265105913629e-2 * t90 * t94);
  t99 = t49 * t73;
  t101 = my_piecewise5(t14, 0, t10, 0, -t7 - t99);
  t104 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t101);
  t105 = t104 * t26;
  t109 = t56 * t85;
  t112 = t5 * t109 * t67 / 0.8e1;
  t114 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t105 * t67 - t112);
  tvrho0 = t47 + t71 + t6 * (t98 + t114);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t118 = my_piecewise5(t10, 0, t14, 0, -t7 - t74);
  t121 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t118);
  t122 = t121 * t26;
  t127 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t122 * t43 - t89);
  t129 = my_piecewise5(t14, 0, t10, 0, t7 - t99);
  t132 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t129);
  t133 = t132 * t26;
  t137 = t57 * t31;
  t140 = 0.1e1 / t61 / t59 / rho[1];
  t141 = t58 * t140;
  t145 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t133 * t67 - t112 + 0.13655681265105913629e-2 * t137 * t141);
  tvrho1 = t47 + t71 + t6 * (t127 + t145);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t148 = t31 * t33;
  t149 = t148 * t39;
  t152 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t27 * t149);
  tvsigma0 = t6 * t152;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t153 = t148 * t63;
  t156 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t57 * t153);
  tvsigma2 = t6 * t156;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t35, t36, t37, t39, t43, t47;
  double t48, t49, t51, t52, t53, t54, t56, t57;
  double t58, t59, t60, t61, t63, t67, t71, tzk0;

  double t72, t73, t74, t76, t79, t80, t84, t85;
  double t86, t89, t90, t93, t94, t98, t99, t101;
  double t104, t105, t109, t112, t114, tvrho0, t118, t121;
  double t122, t127, t129, t132, t133, t137, t140, t141;
  double t145, tvrho1, t148, t149, t152, tvsigma0, tvsigma1, t153;
  double t156, tvsigma2;

  double t159, t160, t161, t164, t165, t166, t169, t173;
  double t174, t178, t180, t182, t186, t187, t190, t191;
  double t192, t194, t196, t197, t201, t202, t203, t204;
  double t207, t210, t214, t215, t219, t221, t223, t226;
  double t228, tv2rho20, t231, t235, t239, t240, t244, t246;
  double t248, t254, t255, t259, t263, t264, t268, t270;
  double t273, t276, t277, t280, tv2rho21, t285, t290, t294;
  double t295, t301, t302, t307, t311, t312, t317, t321;
  double t323, t324, t328, tv2rho22, t334, t335, t339, tv2rhosigma0;
  double tv2rhosigma1, t344, t346, tv2rhosigma2, t351, tv2rhosigma3, tv2rhosigma4, t355;
  double t359, tv2rhosigma5, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, tv2sigma25;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = t2 * t2;
  t30 = POW_1_3(0.1e1 / M_PI);
  t31 = 0.1e1 / t30;
  t32 = t28 * t31;
  t33 = M_CBRT4;
  t34 = t33 * sigma[0];
  t35 = rho[0] * rho[0];
  t36 = POW_1_3(rho[0]);
  t37 = t36 * t36;
  t39 = 0.1e1 / t37 / t35;
  t43 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t34 * t39;
  t47 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t43);
  t48 = rho[1] <= p->dens_threshold;
  t49 = -t16;
  t51 = my_piecewise5(t14, t11, t10, t15, t49 * t7);
  t52 = 0.1e1 + t51;
  t53 = t52 <= p->zeta_threshold;
  t54 = POW_1_3(t52);
  t56 = my_piecewise3(t53, t22, t54 * t52);
  t57 = t56 * t26;
  t58 = t33 * sigma[2];
  t59 = rho[1] * rho[1];
  t60 = POW_1_3(rho[1]);
  t61 = t60 * t60;
  t63 = 0.1e1 / t61 / t59;
  t67 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t58 * t63;
  t71 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t57 * t67);
  tzk0 = t47 + t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t72 = t6 * t6;
  t73 = 0.1e1 / t72;
  t74 = t16 * t73;
  t76 = my_piecewise5(t10, 0, t14, 0, t7 - t74);
  t79 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t76);
  t80 = t79 * t26;
  t84 = t26 * t26;
  t85 = 0.1e1 / t84;
  t86 = t25 * t85;
  t89 = t5 * t86 * t43 / 0.8e1;
  t90 = t27 * t31;
  t93 = 0.1e1 / t37 / t35 / rho[0];
  t94 = t34 * t93;
  t98 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t80 * t43 - t89 + 0.13655681265105913629e-2 * t90 * t94);
  t99 = t49 * t73;
  t101 = my_piecewise5(t14, 0, t10, 0, -t7 - t99);
  t104 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t101);
  t105 = t104 * t26;
  t109 = t56 * t85;
  t112 = t5 * t109 * t67 / 0.8e1;
  t114 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t105 * t67 - t112);
  tvrho0 = t47 + t71 + t6 * (t98 + t114);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t118 = my_piecewise5(t10, 0, t14, 0, -t7 - t74);
  t121 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t118);
  t122 = t121 * t26;
  t127 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t122 * t43 - t89);
  t129 = my_piecewise5(t14, 0, t10, 0, t7 - t99);
  t132 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t129);
  t133 = t132 * t26;
  t137 = t57 * t31;
  t140 = 0.1e1 / t61 / t59 / rho[1];
  t141 = t58 * t140;
  t145 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t133 * t67 - t112 + 0.13655681265105913629e-2 * t137 * t141);
  tvrho1 = t47 + t71 + t6 * (t127 + t145);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t148 = t31 * t33;
  t149 = t148 * t39;
  t152 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t27 * t149);
  tvsigma0 = t6 * t152;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t153 = t148 * t63;
  t156 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t57 * t153);
  tvsigma2 = t6 * t156;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t159 = t23 * t23;
  t160 = 0.1e1 / t159;
  t161 = t76 * t76;
  t164 = t72 * t6;
  t165 = 0.1e1 / t164;
  t166 = t16 * t165;
  t169 = my_piecewise5(t10, 0, t14, 0, -0.2e1 * t73 + 0.2e1 * t166);
  t173 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t160 * t161 + 0.4e1 / 0.3e1 * t23 * t169);
  t174 = t173 * t26;
  t178 = t79 * t85;
  t180 = t5 * t178 * t43;
  t182 = t80 * t31;
  t186 = 0.1e1 / t84 / t6;
  t187 = t25 * t186;
  t190 = t5 * t187 * t43 / 0.12e2;
  t191 = t86 * t31;
  t192 = t191 * t94;
  t194 = t35 * t35;
  t196 = 0.1e1 / t37 / t194;
  t197 = t34 * t196;
  t201 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t174 * t43 - t180 / 0.4e1 + 0.27311362530211827258e-2 * t182 * t94 + t190 + 0.91037875100706090861e-3 * t192 - 0.50070831305388349973e-2 * t90 * t197);
  t202 = t54 * t54;
  t203 = 0.1e1 / t202;
  t204 = t101 * t101;
  t207 = t49 * t165;
  t210 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t73 + 0.2e1 * t207);
  t214 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t203 * t204 + 0.4e1 / 0.3e1 * t54 * t210);
  t215 = t214 * t26;
  t219 = t104 * t85;
  t221 = t5 * t219 * t67;
  t223 = t56 * t186;
  t226 = t5 * t223 * t67 / 0.12e2;
  t228 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t215 * t67 - t221 / 0.4e1 + t226);
  tv2rho20 = 0.2e1 * t98 + 0.2e1 * t114 + t6 * (t201 + t228);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t231 = t160 * t118;
  t235 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t166);
  t239 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t231 * t76 + 0.4e1 / 0.3e1 * t23 * t235);
  t240 = t239 * t26;
  t244 = t121 * t85;
  t246 = t5 * t244 * t43;
  t248 = t122 * t31;
  t254 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t240 * t43 - t246 / 0.8e1 + 0.13655681265105913629e-2 * t248 * t94 - t180 / 0.8e1 + t190 + 0.45518937550353045431e-3 * t192);
  t255 = t203 * t129;
  t259 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t207);
  t263 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t255 * t101 + 0.4e1 / 0.3e1 * t54 * t259);
  t264 = t263 * t26;
  t268 = t132 * t85;
  t270 = t5 * t268 * t67;
  t273 = t105 * t31;
  t276 = t109 * t31;
  t277 = t276 * t141;
  t280 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t264 * t67 - t270 / 0.8e1 - t221 / 0.8e1 + t226 + 0.13655681265105913629e-2 * t273 * t141 + 0.4551893755035304543e-3 * t277);
  tv2rho21 = t98 + t114 + t127 + t145 + t6 * (t254 + t280);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t285 = t118 * t118;
  t290 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t73 + 0.2e1 * t166);
  t294 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t160 * t285 + 0.4e1 / 0.3e1 * t23 * t290);
  t295 = t294 * t26;
  t301 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t295 * t43 - t246 / 0.4e1 + t190);
  t302 = t129 * t129;
  t307 = my_piecewise5(t14, 0, t10, 0, -0.2e1 * t73 + 0.2e1 * t207);
  t311 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t203 * t302 + 0.4e1 / 0.3e1 * t54 * t307);
  t312 = t311 * t26;
  t317 = t133 * t31;
  t321 = t59 * t59;
  t323 = 0.1e1 / t61 / t321;
  t324 = t58 * t323;
  t328 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t312 * t67 - t270 / 0.4e1 + 0.27311362530211827258e-2 * t317 * t141 + t226 + 0.91037875100706090861e-3 * t277 - 0.50070831305388349973e-2 * t137 * t324);
  tv2rho22 = 0.2e1 * t127 + 0.2e1 * t145 + t6 * (t301 + t328);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t334 = 0.17069601581382392037e-3 * t86 * t149;
  t335 = t148 * t93;
  t339 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t80 * t149 - t334 + 0.1365568126510591363e-2 * t27 * t335);
  tv2rhosigma0 = t6 * t339 + t152;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t344 = 0.17069601581382392037e-3 * t109 * t153;
  t346 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t105 * t153 - t344);
  tv2rhosigma2 = t6 * t346 + t156;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t351 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t122 * t149 - t334);
  tv2rhosigma3 = t6 * t351 + t152;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t355 = t148 * t140;
  t359 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t133 * t153 - t344 + 0.1365568126510591363e-2 * t57 * t355);
  tv2rhosigma5 = t6 * t359 + t156;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  tv2sigma20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  tv2sigma25 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t35, t36, t37, t39, t43, t47;
  double t48, t49, t51, t52, t53, t54, t56, t57;
  double t58, t59, t60, t61, t63, t67, t71, tzk0;

  double t72, t73, t74, t76, t79, t80, t84, t85;
  double t86, t89, t90, t93, t94, t98, t99, t101;
  double t104, t105, t109, t112, t114, tvrho0, t118, t121;
  double t122, t127, t129, t132, t133, t137, t140, t141;
  double t145, tvrho1, t148, t149, t152, tvsigma0, tvsigma1, t153;
  double t156, tvsigma2;

  double t159, t160, t161, t164, t165, t166, t169, t173;
  double t174, t178, t180, t182, t186, t187, t190, t191;
  double t192, t194, t196, t197, t201, t202, t203, t204;
  double t207, t210, t214, t215, t219, t221, t223, t226;
  double t228, tv2rho20, t231, t235, t239, t240, t244, t246;
  double t248, t254, t255, t259, t263, t264, t268, t270;
  double t273, t276, t277, t280, tv2rho21, t285, t290, t294;
  double t295, t301, t302, t307, t311, t312, t317, t321;
  double t323, t324, t328, tv2rho22, t334, t335, t339, tv2rhosigma0;
  double tv2rhosigma1, t344, t346, tv2rhosigma2, t351, tv2rhosigma3, tv2rhosigma4, t355;
  double t359, tv2rhosigma5, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, tv2sigma25;

  double t364, t365, t368, t371, t372, t373, t376, t380;
  double t381, t385, t387, t389, t392, t394, t396, t397;
  double t402, t403, t406, t407, t408, t410, t414, t415;
  double t419, t421, t422, t425, t428, t431, t435, t436;
  double t440, t442, t444, t446, t448, t451, t453, tv3rho30;
  double t456, t457, t458, t461, t466, t467, t469, t473;
  double t474, t478, t481, t482, t485, t487, t489, t490;
  double t499, t500, t501, t504, t509, t511, t515, t516;
  double t520, t523, t524, t526, t530, t533, t534, t536;
  double t537, t540, tv3rho31, t543, t548, t552, t556, t557;
  double t561, t563, t565, t573, t574, t579, t583, t587;
  double t588, t592, t594, t597, t600, t601, t608, t610;
  double t611, tv3rho32, t616, t623, t627, t628, t635, t636;
  double t643, t647, t648, t653, t664, t665, t669, tv3rho33;
  double t675, t680, t681, t683, t687, tv3rho2sigma0, tv3rho2sigma1, t692;
  double t695, t697, tv3rho2sigma2, t701, t708, tv3rho2sigma3, tv3rho2sigma4, t712;
  double t717, t720, tv3rho2sigma5, t727, tv3rho2sigma6, tv3rho2sigma7, t736, t740;
  double tv3rho2sigma8, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, tv3rhosigma25, tv3rhosigma26;
  double tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, tv3rhosigma211, tv3sigma30, tv3sigma31, tv3sigma32;
  double tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, tv3sigma39;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = t2 * t2;
  t30 = POW_1_3(0.1e1 / M_PI);
  t31 = 0.1e1 / t30;
  t32 = t28 * t31;
  t33 = M_CBRT4;
  t34 = t33 * sigma[0];
  t35 = rho[0] * rho[0];
  t36 = POW_1_3(rho[0]);
  t37 = t36 * t36;
  t39 = 0.1e1 / t37 / t35;
  t43 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t34 * t39;
  t47 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t43);
  t48 = rho[1] <= p->dens_threshold;
  t49 = -t16;
  t51 = my_piecewise5(t14, t11, t10, t15, t49 * t7);
  t52 = 0.1e1 + t51;
  t53 = t52 <= p->zeta_threshold;
  t54 = POW_1_3(t52);
  t56 = my_piecewise3(t53, t22, t54 * t52);
  t57 = t56 * t26;
  t58 = t33 * sigma[2];
  t59 = rho[1] * rho[1];
  t60 = POW_1_3(rho[1]);
  t61 = t60 * t60;
  t63 = 0.1e1 / t61 / t59;
  t67 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t58 * t63;
  t71 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t57 * t67);
  tzk0 = t47 + t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t72 = t6 * t6;
  t73 = 0.1e1 / t72;
  t74 = t16 * t73;
  t76 = my_piecewise5(t10, 0, t14, 0, t7 - t74);
  t79 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t76);
  t80 = t79 * t26;
  t84 = t26 * t26;
  t85 = 0.1e1 / t84;
  t86 = t25 * t85;
  t89 = t5 * t86 * t43 / 0.8e1;
  t90 = t27 * t31;
  t93 = 0.1e1 / t37 / t35 / rho[0];
  t94 = t34 * t93;
  t98 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t80 * t43 - t89 + 0.13655681265105913629e-2 * t90 * t94);
  t99 = t49 * t73;
  t101 = my_piecewise5(t14, 0, t10, 0, -t7 - t99);
  t104 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t101);
  t105 = t104 * t26;
  t109 = t56 * t85;
  t112 = t5 * t109 * t67 / 0.8e1;
  t114 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t105 * t67 - t112);
  tvrho0 = t47 + t71 + t6 * (t98 + t114);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t118 = my_piecewise5(t10, 0, t14, 0, -t7 - t74);
  t121 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t118);
  t122 = t121 * t26;
  t127 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t122 * t43 - t89);
  t129 = my_piecewise5(t14, 0, t10, 0, t7 - t99);
  t132 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t129);
  t133 = t132 * t26;
  t137 = t57 * t31;
  t140 = 0.1e1 / t61 / t59 / rho[1];
  t141 = t58 * t140;
  t145 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t133 * t67 - t112 + 0.13655681265105913629e-2 * t137 * t141);
  tvrho1 = t47 + t71 + t6 * (t127 + t145);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t148 = t31 * t33;
  t149 = t148 * t39;
  t152 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t27 * t149);
  tvsigma0 = t6 * t152;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t153 = t148 * t63;
  t156 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t57 * t153);
  tvsigma2 = t6 * t156;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t159 = t23 * t23;
  t160 = 0.1e1 / t159;
  t161 = t76 * t76;
  t164 = t72 * t6;
  t165 = 0.1e1 / t164;
  t166 = t16 * t165;
  t169 = my_piecewise5(t10, 0, t14, 0, -0.2e1 * t73 + 0.2e1 * t166);
  t173 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t160 * t161 + 0.4e1 / 0.3e1 * t23 * t169);
  t174 = t173 * t26;
  t178 = t79 * t85;
  t180 = t5 * t178 * t43;
  t182 = t80 * t31;
  t186 = 0.1e1 / t84 / t6;
  t187 = t25 * t186;
  t190 = t5 * t187 * t43 / 0.12e2;
  t191 = t86 * t31;
  t192 = t191 * t94;
  t194 = t35 * t35;
  t196 = 0.1e1 / t37 / t194;
  t197 = t34 * t196;
  t201 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t174 * t43 - t180 / 0.4e1 + 0.27311362530211827258e-2 * t182 * t94 + t190 + 0.91037875100706090861e-3 * t192 - 0.50070831305388349973e-2 * t90 * t197);
  t202 = t54 * t54;
  t203 = 0.1e1 / t202;
  t204 = t101 * t101;
  t207 = t49 * t165;
  t210 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t73 + 0.2e1 * t207);
  t214 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t203 * t204 + 0.4e1 / 0.3e1 * t54 * t210);
  t215 = t214 * t26;
  t219 = t104 * t85;
  t221 = t5 * t219 * t67;
  t223 = t56 * t186;
  t226 = t5 * t223 * t67 / 0.12e2;
  t228 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t215 * t67 - t221 / 0.4e1 + t226);
  tv2rho20 = 0.2e1 * t98 + 0.2e1 * t114 + t6 * (t201 + t228);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t231 = t160 * t118;
  t235 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t166);
  t239 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t231 * t76 + 0.4e1 / 0.3e1 * t23 * t235);
  t240 = t239 * t26;
  t244 = t121 * t85;
  t246 = t5 * t244 * t43;
  t248 = t122 * t31;
  t254 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t240 * t43 - t246 / 0.8e1 + 0.13655681265105913629e-2 * t248 * t94 - t180 / 0.8e1 + t190 + 0.45518937550353045431e-3 * t192);
  t255 = t203 * t129;
  t259 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t207);
  t263 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t255 * t101 + 0.4e1 / 0.3e1 * t54 * t259);
  t264 = t263 * t26;
  t268 = t132 * t85;
  t270 = t5 * t268 * t67;
  t273 = t105 * t31;
  t276 = t109 * t31;
  t277 = t276 * t141;
  t280 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t264 * t67 - t270 / 0.8e1 - t221 / 0.8e1 + t226 + 0.13655681265105913629e-2 * t273 * t141 + 0.4551893755035304543e-3 * t277);
  tv2rho21 = t98 + t114 + t127 + t145 + t6 * (t254 + t280);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t285 = t118 * t118;
  t290 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t73 + 0.2e1 * t166);
  t294 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t160 * t285 + 0.4e1 / 0.3e1 * t23 * t290);
  t295 = t294 * t26;
  t301 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t295 * t43 - t246 / 0.4e1 + t190);
  t302 = t129 * t129;
  t307 = my_piecewise5(t14, 0, t10, 0, -0.2e1 * t73 + 0.2e1 * t207);
  t311 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t203 * t302 + 0.4e1 / 0.3e1 * t54 * t307);
  t312 = t311 * t26;
  t317 = t133 * t31;
  t321 = t59 * t59;
  t323 = 0.1e1 / t61 / t321;
  t324 = t58 * t323;
  t328 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t312 * t67 - t270 / 0.4e1 + 0.27311362530211827258e-2 * t317 * t141 + t226 + 0.91037875100706090861e-3 * t277 - 0.50070831305388349973e-2 * t137 * t324);
  tv2rho22 = 0.2e1 * t127 + 0.2e1 * t145 + t6 * (t301 + t328);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t334 = 0.17069601581382392037e-3 * t86 * t149;
  t335 = t148 * t93;
  t339 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t80 * t149 - t334 + 0.1365568126510591363e-2 * t27 * t335);
  tv2rhosigma0 = t6 * t339 + t152;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t344 = 0.17069601581382392037e-3 * t109 * t153;
  t346 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t105 * t153 - t344);
  tv2rhosigma2 = t6 * t346 + t156;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t351 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t122 * t149 - t334);
  tv2rhosigma3 = t6 * t351 + t152;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t355 = t148 * t140;
  t359 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t133 * t153 - t344 + 0.1365568126510591363e-2 * t57 * t355);
  tv2rhosigma5 = t6 * t359 + t156;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  tv2sigma20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  tv2sigma25 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t364 = 0.1e1 / t159 / t19;
  t365 = t161 * t76;
  t368 = t160 * t76;
  t371 = t72 * t72;
  t372 = 0.1e1 / t371;
  t373 = t16 * t372;
  t376 = my_piecewise5(t10, 0, t14, 0, 0.6e1 * t165 - 0.6e1 * t373);
  t380 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t364 * t365 + 0.4e1 / 0.3e1 * t368 * t169 + 0.4e1 / 0.3e1 * t23 * t376);
  t381 = t380 * t26;
  t385 = t173 * t85;
  t387 = t5 * t385 * t43;
  t389 = t174 * t31;
  t392 = t79 * t186;
  t394 = t5 * t392 * t43;
  t396 = t178 * t31;
  t397 = t396 * t94;
  t402 = 0.1e1 / t84 / t72;
  t403 = t25 * t402;
  t406 = 0.5e1 / 0.36e2 * t5 * t403 * t43;
  t407 = t187 * t31;
  t408 = t407 * t94;
  t410 = t191 * t197;
  t414 = 0.1e1 / t37 / t194 / rho[0];
  t415 = t34 * t414;
  t419 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t381 * t43 - 0.3e1 / 0.8e1 * t387 + 0.40967043795317740887e-2 * t389 * t94 + t394 / 0.4e1 + 0.27311362530211827258e-2 * t397 - 0.15021249391616504992e-1 * t182 * t197 - t406 - 0.91037875100706090862e-3 * t408 - 0.50070831305388349974e-2 * t410 + 0.23366387942514563321e-1 * t90 * t415);
  t421 = 0.1e1 / t202 / t52;
  t422 = t204 * t101;
  t425 = t203 * t101;
  t428 = t49 * t372;
  t431 = my_piecewise5(t14, 0, t10, 0, -0.6e1 * t165 - 0.6e1 * t428);
  t435 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t421 * t422 + 0.4e1 / 0.3e1 * t425 * t210 + 0.4e1 / 0.3e1 * t54 * t431);
  t436 = t435 * t26;
  t440 = t214 * t85;
  t442 = t5 * t440 * t67;
  t444 = t104 * t186;
  t446 = t5 * t444 * t67;
  t448 = t56 * t402;
  t451 = 0.5e1 / 0.36e2 * t5 * t448 * t67;
  t453 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t436 * t67 - 0.3e1 / 0.8e1 * t442 + t446 / 0.4e1 - t451);
  tv3rho30 = 0.3e1 * t201 + 0.3e1 * t228 + t6 * (t419 + t453);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t456 = 0.2e1 * t254;
  t457 = 0.2e1 * t280;
  t458 = t364 * t118;
  t461 = t160 * t235;
  t466 = 0.2e1 * t165;
  t467 = 0.6e1 * t373;
  t469 = my_piecewise5(t10, 0, t14, 0, t466 - t467);
  t473 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t458 * t161 + 0.8e1 / 0.9e1 * t461 * t76 + 0.4e1 / 0.9e1 * t231 * t169 + 0.4e1 / 0.3e1 * t23 * t469);
  t474 = t473 * t26;
  t478 = t239 * t85;
  t481 = t5 * t478 * t43 / 0.4e1;
  t482 = t240 * t31;
  t485 = t121 * t186;
  t487 = t5 * t485 * t43;
  t489 = t244 * t31;
  t490 = t489 * t94;
  t499 = -0.3e1 / 0.8e1 * t5 * t474 * t43 - t481 + 0.27311362530211827258e-2 * t482 * t94 + t487 / 0.12e2 + 0.91037875100706090861e-3 * t490 - 0.50070831305388349973e-2 * t248 * t197 - t387 / 0.8e1 + t394 / 0.6e1 + 0.91037875100706090862e-3 * t397 - t406 - 0.60691916733804060575e-3 * t408 - 0.16690277101796116658e-2 * t410;
  t500 = my_piecewise3(t1, 0, t499);
  t501 = t421 * t129;
  t504 = t203 * t259;
  t509 = 0.6e1 * t428;
  t511 = my_piecewise5(t14, 0, t10, 0, -t466 - t509);
  t515 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t501 * t204 + 0.8e1 / 0.9e1 * t504 * t101 + 0.4e1 / 0.9e1 * t255 * t210 + 0.4e1 / 0.3e1 * t54 * t511);
  t516 = t515 * t26;
  t520 = t263 * t85;
  t523 = t5 * t520 * t67 / 0.4e1;
  t524 = t132 * t186;
  t526 = t5 * t524 * t67;
  t530 = t215 * t31;
  t533 = t219 * t31;
  t534 = t533 * t141;
  t536 = t223 * t31;
  t537 = t536 * t141;
  t540 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t516 * t67 - t523 + t526 / 0.12e2 - t442 / 0.8e1 + t446 / 0.6e1 - t451 + 0.13655681265105913629e-2 * t530 * t141 + 0.9103787510070609086e-3 * t534 - 0.30345958366902030287e-3 * t537);
  tv3rho31 = t201 + t228 + t456 + t457 + t6 * (t500 + t540);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t543 = t364 * t285;
  t548 = t160 * t290;
  t552 = my_piecewise5(t10, 0, t14, 0, -t466 - t467);
  t556 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t543 * t76 + 0.8e1 / 0.9e1 * t231 * t235 + 0.4e1 / 0.9e1 * t548 * t76 + 0.4e1 / 0.3e1 * t23 * t552);
  t557 = t556 * t26;
  t561 = t294 * t85;
  t563 = t5 * t561 * t43;
  t565 = t295 * t31;
  t573 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t557 * t43 - t563 / 0.8e1 + 0.13655681265105913629e-2 * t565 * t94 - t481 + t487 / 0.6e1 + 0.91037875100706090862e-3 * t490 + t394 / 0.12e2 - t406 - 0.30345958366902030288e-3 * t408);
  t574 = t421 * t302;
  t579 = t203 * t307;
  t583 = my_piecewise5(t14, 0, t10, 0, t466 - t509);
  t587 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t574 * t101 + 0.8e1 / 0.9e1 * t255 * t259 + 0.4e1 / 0.9e1 * t579 * t101 + 0.4e1 / 0.3e1 * t54 * t583);
  t588 = t587 * t26;
  t592 = t311 * t85;
  t594 = t5 * t592 * t67;
  t597 = t264 * t31;
  t600 = t268 * t31;
  t601 = t600 * t141;
  t608 = t276 * t324;
  t610 = -0.3e1 / 0.8e1 * t5 * t588 * t67 - t594 / 0.8e1 - t523 + t526 / 0.6e1 + 0.27311362530211827258e-2 * t597 * t141 + 0.9103787510070609086e-3 * t601 + t446 / 0.12e2 - t451 + 0.91037875100706090861e-3 * t534 - 0.60691916733804060574e-3 * t537 - 0.50070831305388349973e-2 * t273 * t324 - 0.16690277101796116658e-2 * t608;
  t611 = my_piecewise3(t48, 0, t610);
  tv3rho32 = t456 + t457 + t301 + t328 + t6 * (t573 + t611);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t616 = t285 * t118;
  t623 = my_piecewise5(t10, 0, t14, 0, -0.6e1 * t165 - 0.6e1 * t373);
  t627 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t364 * t616 + 0.4e1 / 0.3e1 * t231 * t290 + 0.4e1 / 0.3e1 * t23 * t623);
  t628 = t627 * t26;
  t635 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t628 * t43 - 0.3e1 / 0.8e1 * t563 + t487 / 0.4e1 - t406);
  t636 = t302 * t129;
  t643 = my_piecewise5(t14, 0, t10, 0, 0.6e1 * t165 - 0.6e1 * t428);
  t647 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t421 * t636 + 0.4e1 / 0.3e1 * t255 * t307 + 0.4e1 / 0.3e1 * t54 * t643);
  t648 = t647 * t26;
  t653 = t312 * t31;
  t664 = 0.1e1 / t61 / t321 / rho[1];
  t665 = t58 * t664;
  t669 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t648 * t67 - 0.3e1 / 0.8e1 * t594 + 0.40967043795317740887e-2 * t653 * t141 + t526 / 0.4e1 + 0.27311362530211827258e-2 * t601 - 0.15021249391616504992e-1 * t317 * t324 - t451 - 0.91037875100706090862e-3 * t537 - 0.50070831305388349974e-2 * t608 + 0.23366387942514563321e-1 * t137 * t665);
  tv3rho33 = 0.3e1 * t301 + 0.3e1 * t328 + t6 * (t635 + t669);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t675 = t178 * t149;
  t680 = 0.11379734387588261358e-3 * t187 * t149;
  t681 = t86 * t335;
  t683 = t148 * t196;
  t687 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t174 * t149 - 0.34139203162764784074e-3 * t675 + 0.2731136253021182726e-2 * t80 * t335 + t680 + 0.91037875100706090865e-3 * t681 - 0.50070831305388349977e-2 * t27 * t683);
  tv3rho2sigma0 = t6 * t687 + 0.2e1 * t339;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t692 = t219 * t153;
  t695 = 0.11379734387588261358e-3 * t223 * t153;
  t697 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t215 * t153 - 0.34139203162764784074e-3 * t692 + t695);
  tv3rho2sigma2 = t6 * t697 + 0.2e1 * t346;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t701 = t244 * t149;
  t708 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t240 * t149 - 0.17069601581382392037e-3 * t701 + 0.1365568126510591363e-2 * t122 * t335 - 0.17069601581382392037e-3 * t675 + t680 + 0.45518937550353045432e-3 * t681);
  tv3rho2sigma3 = t6 * t708 + t339 + t351;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t712 = t268 * t153;
  t717 = t109 * t355;
  t720 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t264 * t153 - 0.17069601581382392037e-3 * t712 - 0.17069601581382392037e-3 * t692 + t695 + 0.1365568126510591363e-2 * t105 * t355 + 0.45518937550353045433e-3 * t717);
  tv3rho2sigma5 = t6 * t720 + t346 + t359;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t727 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t295 * t149 - 0.34139203162764784074e-3 * t701 + t680);
  tv3rho2sigma6 = t6 * t727 + 0.2e1 * t351;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t736 = t148 * t323;
  t740 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t312 * t153 - 0.34139203162764784074e-3 * t712 + 0.2731136253021182726e-2 * t133 * t355 + t695 + 0.91037875100706090865e-3 * t717 - 0.50070831305388349977e-2 * t57 * t736);
  tv3rho2sigma8 = t6 * t740 + 0.2e1 * t359;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  tv3rhosigma20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  tv3rhosigma25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  tv3rhosigma26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  tv3rhosigma211 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  tv3sigma30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  tv3sigma39 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t30, t31, t32;
  double t33, t34, t35, t36, t37, t39, t43, t47;
  double t48, t49, t51, t52, t53, t54, t56, t57;
  double t58, t59, t60, t61, t63, t67, t71, tzk0;

  double t72, t73, t74, t76, t79, t80, t84, t85;
  double t86, t89, t90, t93, t94, t98, t99, t101;
  double t104, t105, t109, t112, t114, tvrho0, t118, t121;
  double t122, t127, t129, t132, t133, t137, t140, t141;
  double t145, tvrho1, t148, t149, t152, tvsigma0, tvsigma1, t153;
  double t156, tvsigma2;

  double t159, t160, t161, t164, t165, t166, t169, t173;
  double t174, t178, t180, t182, t186, t187, t190, t191;
  double t192, t194, t196, t197, t201, t202, t203, t204;
  double t207, t210, t214, t215, t219, t221, t223, t226;
  double t228, tv2rho20, t231, t235, t239, t240, t244, t246;
  double t248, t254, t255, t259, t263, t264, t268, t270;
  double t273, t276, t277, t280, tv2rho21, t285, t290, t294;
  double t295, t301, t302, t307, t311, t312, t317, t321;
  double t323, t324, t328, tv2rho22, t334, t335, t339, tv2rhosigma0;
  double tv2rhosigma1, t344, t346, tv2rhosigma2, t351, tv2rhosigma3, tv2rhosigma4, t355;
  double t359, tv2rhosigma5, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, tv2sigma25;

  double t364, t365, t368, t371, t372, t373, t376, t380;
  double t381, t385, t387, t389, t392, t394, t396, t397;
  double t402, t403, t406, t407, t408, t410, t414, t415;
  double t419, t421, t422, t425, t428, t431, t435, t436;
  double t440, t442, t444, t446, t448, t451, t453, tv3rho30;
  double t456, t457, t458, t461, t466, t467, t469, t473;
  double t474, t478, t481, t482, t485, t487, t489, t490;
  double t499, t500, t501, t504, t509, t511, t515, t516;
  double t520, t523, t524, t526, t530, t533, t534, t536;
  double t537, t540, tv3rho31, t543, t548, t552, t556, t557;
  double t561, t563, t565, t573, t574, t579, t583, t587;
  double t588, t592, t594, t597, t600, t601, t608, t610;
  double t611, tv3rho32, t616, t623, t627, t628, t635, t636;
  double t643, t647, t648, t653, t664, t665, t669, tv3rho33;
  double t675, t680, t681, t683, t687, tv3rho2sigma0, tv3rho2sigma1, t692;
  double t695, t697, tv3rho2sigma2, t701, t708, tv3rho2sigma3, tv3rho2sigma4, t712;
  double t717, t720, tv3rho2sigma5, t727, tv3rho2sigma6, tv3rho2sigma7, t736, t740;
  double tv3rho2sigma8, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, tv3rhosigma25, tv3rhosigma26;
  double tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, tv3rhosigma211, tv3sigma30, tv3sigma31, tv3sigma32;
  double tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, tv3sigma39;

  double t744, t746, t747, t753, t759, t760, t763, t767;
  double t777, t780, t784, t787, t790, t794, t796, t800;
  double t804, t806, t816, t818, t819, t820, t822, t823;
  double t829, t834, t837, t841, t848, t852, t856, t861;
  double t863, tv4rho40, t869, t873, t876, t877, t880, t887;
  double t888, t905, t906, t908, t912, t925, t932, t933;
  double t950, t952, t956, t963, t967, t968, t971, t980;
  double t983, t986, t988, t989, tv4rho41, t1000, t1007, t1010;
  double t1025, t1038, t1042, t1053, t1054, t1063, t1076, t1080;
  double t1087, t1091, t1100, t1103, t1112, t1114, t1116, t1117;
  double tv4rho42, t1138, t1142, t1149, t1160, t1161, t1178, t1182;
  double t1189, t1197, t1204, t1213, t1215, t1216, tv4rho43, t1221;
  double t1226, t1233, t1237, t1246, t1247, t1252, t1259, t1263;
  double t1290, t1291, tv4rho44, t1297, t1301, t1303, t1308, t1309;
  double t1311, t1317, tv4rho3sigma0, tv4rho3sigma1, t1322, t1324, t1327, t1329;
  double tv4rho3sigma2, t1331, t1335, t1338, t1340, t1349, t1350, tv4rho3sigma3;
  double tv4rho3sigma4, t1352, t1356, t1357, t1363, t1365, t1368, tv4rho3sigma5;
  double t1372, t1381, tv4rho3sigma6, tv4rho3sigma7, t1385, t1390, t1397, t1399;
  double t1400, tv4rho3sigma8, t1408, tv4rho3sigma9, tv4rho3sigma10, t1426, tv4rho3sigma11, tv4rho2sigma20;
  double tv4rho2sigma21, tv4rho2sigma22, tv4rho2sigma23, tv4rho2sigma24, tv4rho2sigma25, tv4rho2sigma26, tv4rho2sigma27, tv4rho2sigma28;
  double tv4rho2sigma29, tv4rho2sigma210, tv4rho2sigma211, tv4rho2sigma212, tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216;
  double tv4rho2sigma217, tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33, tv4rhosigma34, tv4rhosigma35, tv4rhosigma36;
  double tv4rhosigma37, tv4rhosigma38, tv4rhosigma39, tv4rhosigma310, tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314;
  double tv4rhosigma315, tv4rhosigma316, tv4rhosigma317, tv4rhosigma318, tv4rhosigma319, tv4sigma40, tv4sigma41, tv4sigma42;
  double tv4sigma43, tv4sigma44, tv4sigma45, tv4sigma46, tv4sigma47, tv4sigma48, tv4sigma49, tv4sigma410;
  double tv4sigma411, tv4sigma412, tv4sigma413, tv4sigma414;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = t2 * t2;
  t30 = POW_1_3(0.1e1 / M_PI);
  t31 = 0.1e1 / t30;
  t32 = t28 * t31;
  t33 = M_CBRT4;
  t34 = t33 * sigma[0];
  t35 = rho[0] * rho[0];
  t36 = POW_1_3(rho[0]);
  t37 = t36 * t36;
  t39 = 0.1e1 / t37 / t35;
  t43 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t34 * t39;
  t47 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t43);
  t48 = rho[1] <= p->dens_threshold;
  t49 = -t16;
  t51 = my_piecewise5(t14, t11, t10, t15, t49 * t7);
  t52 = 0.1e1 + t51;
  t53 = t52 <= p->zeta_threshold;
  t54 = POW_1_3(t52);
  t56 = my_piecewise3(t53, t22, t54 * t52);
  t57 = t56 * t26;
  t58 = t33 * sigma[2];
  t59 = rho[1] * rho[1];
  t60 = POW_1_3(rho[1]);
  t61 = t60 * t60;
  t63 = 0.1e1 / t61 / t59;
  t67 = 0.1e1 + 0.66666666666666666668e-3 * t32 * t58 * t63;
  t71 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t57 * t67);
  tzk0 = t47 + t71;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t72 = t6 * t6;
  t73 = 0.1e1 / t72;
  t74 = t16 * t73;
  t76 = my_piecewise5(t10, 0, t14, 0, t7 - t74);
  t79 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t76);
  t80 = t79 * t26;
  t84 = t26 * t26;
  t85 = 0.1e1 / t84;
  t86 = t25 * t85;
  t89 = t5 * t86 * t43 / 0.8e1;
  t90 = t27 * t31;
  t93 = 0.1e1 / t37 / t35 / rho[0];
  t94 = t34 * t93;
  t98 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t80 * t43 - t89 + 0.13655681265105913629e-2 * t90 * t94);
  t99 = t49 * t73;
  t101 = my_piecewise5(t14, 0, t10, 0, -t7 - t99);
  t104 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t101);
  t105 = t104 * t26;
  t109 = t56 * t85;
  t112 = t5 * t109 * t67 / 0.8e1;
  t114 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t105 * t67 - t112);
  tvrho0 = t47 + t71 + t6 * (t98 + t114);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t118 = my_piecewise5(t10, 0, t14, 0, -t7 - t74);
  t121 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t118);
  t122 = t121 * t26;
  t127 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t122 * t43 - t89);
  t129 = my_piecewise5(t14, 0, t10, 0, t7 - t99);
  t132 = my_piecewise3(t53, 0, 0.4e1 / 0.3e1 * t54 * t129);
  t133 = t132 * t26;
  t137 = t57 * t31;
  t140 = 0.1e1 / t61 / t59 / rho[1];
  t141 = t58 * t140;
  t145 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t133 * t67 - t112 + 0.13655681265105913629e-2 * t137 * t141);
  tvrho1 = t47 + t71 + t6 * (t127 + t145);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t148 = t31 * t33;
  t149 = t148 * t39;
  t152 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t27 * t149);
  tvsigma0 = t6 * t152;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t153 = t148 * t63;
  t156 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t57 * t153);
  tvsigma2 = t6 * t156;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t159 = t23 * t23;
  t160 = 0.1e1 / t159;
  t161 = t76 * t76;
  t164 = t72 * t6;
  t165 = 0.1e1 / t164;
  t166 = t16 * t165;
  t169 = my_piecewise5(t10, 0, t14, 0, -0.2e1 * t73 + 0.2e1 * t166);
  t173 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t160 * t161 + 0.4e1 / 0.3e1 * t23 * t169);
  t174 = t173 * t26;
  t178 = t79 * t85;
  t180 = t5 * t178 * t43;
  t182 = t80 * t31;
  t186 = 0.1e1 / t84 / t6;
  t187 = t25 * t186;
  t190 = t5 * t187 * t43 / 0.12e2;
  t191 = t86 * t31;
  t192 = t191 * t94;
  t194 = t35 * t35;
  t196 = 0.1e1 / t37 / t194;
  t197 = t34 * t196;
  t201 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t174 * t43 - t180 / 0.4e1 + 0.27311362530211827258e-2 * t182 * t94 + t190 + 0.91037875100706090861e-3 * t192 - 0.50070831305388349973e-2 * t90 * t197);
  t202 = t54 * t54;
  t203 = 0.1e1 / t202;
  t204 = t101 * t101;
  t207 = t49 * t165;
  t210 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t73 + 0.2e1 * t207);
  t214 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t203 * t204 + 0.4e1 / 0.3e1 * t54 * t210);
  t215 = t214 * t26;
  t219 = t104 * t85;
  t221 = t5 * t219 * t67;
  t223 = t56 * t186;
  t226 = t5 * t223 * t67 / 0.12e2;
  t228 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t215 * t67 - t221 / 0.4e1 + t226);
  tv2rho20 = 0.2e1 * t98 + 0.2e1 * t114 + t6 * (t201 + t228);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t231 = t160 * t118;
  t235 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t166);
  t239 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t231 * t76 + 0.4e1 / 0.3e1 * t23 * t235);
  t240 = t239 * t26;
  t244 = t121 * t85;
  t246 = t5 * t244 * t43;
  t248 = t122 * t31;
  t254 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t240 * t43 - t246 / 0.8e1 + 0.13655681265105913629e-2 * t248 * t94 - t180 / 0.8e1 + t190 + 0.45518937550353045431e-3 * t192);
  t255 = t203 * t129;
  t259 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t207);
  t263 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t255 * t101 + 0.4e1 / 0.3e1 * t54 * t259);
  t264 = t263 * t26;
  t268 = t132 * t85;
  t270 = t5 * t268 * t67;
  t273 = t105 * t31;
  t276 = t109 * t31;
  t277 = t276 * t141;
  t280 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t264 * t67 - t270 / 0.8e1 - t221 / 0.8e1 + t226 + 0.13655681265105913629e-2 * t273 * t141 + 0.4551893755035304543e-3 * t277);
  tv2rho21 = t98 + t114 + t127 + t145 + t6 * (t254 + t280);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t285 = t118 * t118;
  t290 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t73 + 0.2e1 * t166);
  t294 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t160 * t285 + 0.4e1 / 0.3e1 * t23 * t290);
  t295 = t294 * t26;
  t301 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t295 * t43 - t246 / 0.4e1 + t190);
  t302 = t129 * t129;
  t307 = my_piecewise5(t14, 0, t10, 0, -0.2e1 * t73 + 0.2e1 * t207);
  t311 = my_piecewise3(t53, 0, 0.4e1 / 0.9e1 * t203 * t302 + 0.4e1 / 0.3e1 * t54 * t307);
  t312 = t311 * t26;
  t317 = t133 * t31;
  t321 = t59 * t59;
  t323 = 0.1e1 / t61 / t321;
  t324 = t58 * t323;
  t328 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t312 * t67 - t270 / 0.4e1 + 0.27311362530211827258e-2 * t317 * t141 + t226 + 0.91037875100706090861e-3 * t277 - 0.50070831305388349973e-2 * t137 * t324);
  tv2rho22 = 0.2e1 * t127 + 0.2e1 * t145 + t6 * (t301 + t328);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t334 = 0.17069601581382392037e-3 * t86 * t149;
  t335 = t148 * t93;
  t339 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t80 * t149 - t334 + 0.1365568126510591363e-2 * t27 * t335);
  tv2rhosigma0 = t6 * t339 + t152;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t344 = 0.17069601581382392037e-3 * t109 * t153;
  t346 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t105 * t153 - t344);
  tv2rhosigma2 = t6 * t346 + t156;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t351 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t122 * t149 - t334);
  tv2rhosigma3 = t6 * t351 + t152;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t355 = t148 * t140;
  t359 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t133 * t153 - t344 + 0.1365568126510591363e-2 * t57 * t355);
  tv2rhosigma5 = t6 * t359 + t156;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  tv2sigma20 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  tv2sigma25 = 0.e0;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t364 = 0.1e1 / t159 / t19;
  t365 = t161 * t76;
  t368 = t160 * t76;
  t371 = t72 * t72;
  t372 = 0.1e1 / t371;
  t373 = t16 * t372;
  t376 = my_piecewise5(t10, 0, t14, 0, 0.6e1 * t165 - 0.6e1 * t373);
  t380 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t364 * t365 + 0.4e1 / 0.3e1 * t368 * t169 + 0.4e1 / 0.3e1 * t23 * t376);
  t381 = t380 * t26;
  t385 = t173 * t85;
  t387 = t5 * t385 * t43;
  t389 = t174 * t31;
  t392 = t79 * t186;
  t394 = t5 * t392 * t43;
  t396 = t178 * t31;
  t397 = t396 * t94;
  t402 = 0.1e1 / t84 / t72;
  t403 = t25 * t402;
  t406 = 0.5e1 / 0.36e2 * t5 * t403 * t43;
  t407 = t187 * t31;
  t408 = t407 * t94;
  t410 = t191 * t197;
  t414 = 0.1e1 / t37 / t194 / rho[0];
  t415 = t34 * t414;
  t419 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t381 * t43 - 0.3e1 / 0.8e1 * t387 + 0.40967043795317740887e-2 * t389 * t94 + t394 / 0.4e1 + 0.27311362530211827258e-2 * t397 - 0.15021249391616504992e-1 * t182 * t197 - t406 - 0.91037875100706090862e-3 * t408 - 0.50070831305388349974e-2 * t410 + 0.23366387942514563321e-1 * t90 * t415);
  t421 = 0.1e1 / t202 / t52;
  t422 = t204 * t101;
  t425 = t203 * t101;
  t428 = t49 * t372;
  t431 = my_piecewise5(t14, 0, t10, 0, -0.6e1 * t165 - 0.6e1 * t428);
  t435 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t421 * t422 + 0.4e1 / 0.3e1 * t425 * t210 + 0.4e1 / 0.3e1 * t54 * t431);
  t436 = t435 * t26;
  t440 = t214 * t85;
  t442 = t5 * t440 * t67;
  t444 = t104 * t186;
  t446 = t5 * t444 * t67;
  t448 = t56 * t402;
  t451 = 0.5e1 / 0.36e2 * t5 * t448 * t67;
  t453 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t436 * t67 - 0.3e1 / 0.8e1 * t442 + t446 / 0.4e1 - t451);
  tv3rho30 = 0.3e1 * t201 + 0.3e1 * t228 + t6 * (t419 + t453);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t456 = 0.2e1 * t254;
  t457 = 0.2e1 * t280;
  t458 = t364 * t118;
  t461 = t160 * t235;
  t466 = 0.2e1 * t165;
  t467 = 0.6e1 * t373;
  t469 = my_piecewise5(t10, 0, t14, 0, t466 - t467);
  t473 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t458 * t161 + 0.8e1 / 0.9e1 * t461 * t76 + 0.4e1 / 0.9e1 * t231 * t169 + 0.4e1 / 0.3e1 * t23 * t469);
  t474 = t473 * t26;
  t478 = t239 * t85;
  t481 = t5 * t478 * t43 / 0.4e1;
  t482 = t240 * t31;
  t485 = t121 * t186;
  t487 = t5 * t485 * t43;
  t489 = t244 * t31;
  t490 = t489 * t94;
  t499 = -0.3e1 / 0.8e1 * t5 * t474 * t43 - t481 + 0.27311362530211827258e-2 * t482 * t94 + t487 / 0.12e2 + 0.91037875100706090861e-3 * t490 - 0.50070831305388349973e-2 * t248 * t197 - t387 / 0.8e1 + t394 / 0.6e1 + 0.91037875100706090862e-3 * t397 - t406 - 0.60691916733804060575e-3 * t408 - 0.16690277101796116658e-2 * t410;
  t500 = my_piecewise3(t1, 0, t499);
  t501 = t421 * t129;
  t504 = t203 * t259;
  t509 = 0.6e1 * t428;
  t511 = my_piecewise5(t14, 0, t10, 0, -t466 - t509);
  t515 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t501 * t204 + 0.8e1 / 0.9e1 * t504 * t101 + 0.4e1 / 0.9e1 * t255 * t210 + 0.4e1 / 0.3e1 * t54 * t511);
  t516 = t515 * t26;
  t520 = t263 * t85;
  t523 = t5 * t520 * t67 / 0.4e1;
  t524 = t132 * t186;
  t526 = t5 * t524 * t67;
  t530 = t215 * t31;
  t533 = t219 * t31;
  t534 = t533 * t141;
  t536 = t223 * t31;
  t537 = t536 * t141;
  t540 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t516 * t67 - t523 + t526 / 0.12e2 - t442 / 0.8e1 + t446 / 0.6e1 - t451 + 0.13655681265105913629e-2 * t530 * t141 + 0.9103787510070609086e-3 * t534 - 0.30345958366902030287e-3 * t537);
  tv3rho31 = t201 + t228 + t456 + t457 + t6 * (t500 + t540);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t543 = t364 * t285;
  t548 = t160 * t290;
  t552 = my_piecewise5(t10, 0, t14, 0, -t466 - t467);
  t556 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t543 * t76 + 0.8e1 / 0.9e1 * t231 * t235 + 0.4e1 / 0.9e1 * t548 * t76 + 0.4e1 / 0.3e1 * t23 * t552);
  t557 = t556 * t26;
  t561 = t294 * t85;
  t563 = t5 * t561 * t43;
  t565 = t295 * t31;
  t573 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t557 * t43 - t563 / 0.8e1 + 0.13655681265105913629e-2 * t565 * t94 - t481 + t487 / 0.6e1 + 0.91037875100706090862e-3 * t490 + t394 / 0.12e2 - t406 - 0.30345958366902030288e-3 * t408);
  t574 = t421 * t302;
  t579 = t203 * t307;
  t583 = my_piecewise5(t14, 0, t10, 0, t466 - t509);
  t587 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t574 * t101 + 0.8e1 / 0.9e1 * t255 * t259 + 0.4e1 / 0.9e1 * t579 * t101 + 0.4e1 / 0.3e1 * t54 * t583);
  t588 = t587 * t26;
  t592 = t311 * t85;
  t594 = t5 * t592 * t67;
  t597 = t264 * t31;
  t600 = t268 * t31;
  t601 = t600 * t141;
  t608 = t276 * t324;
  t610 = -0.3e1 / 0.8e1 * t5 * t588 * t67 - t594 / 0.8e1 - t523 + t526 / 0.6e1 + 0.27311362530211827258e-2 * t597 * t141 + 0.9103787510070609086e-3 * t601 + t446 / 0.12e2 - t451 + 0.91037875100706090861e-3 * t534 - 0.60691916733804060574e-3 * t537 - 0.50070831305388349973e-2 * t273 * t324 - 0.16690277101796116658e-2 * t608;
  t611 = my_piecewise3(t48, 0, t610);
  tv3rho32 = t456 + t457 + t301 + t328 + t6 * (t573 + t611);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t616 = t285 * t118;
  t623 = my_piecewise5(t10, 0, t14, 0, -0.6e1 * t165 - 0.6e1 * t373);
  t627 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t364 * t616 + 0.4e1 / 0.3e1 * t231 * t290 + 0.4e1 / 0.3e1 * t23 * t623);
  t628 = t627 * t26;
  t635 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t628 * t43 - 0.3e1 / 0.8e1 * t563 + t487 / 0.4e1 - t406);
  t636 = t302 * t129;
  t643 = my_piecewise5(t14, 0, t10, 0, 0.6e1 * t165 - 0.6e1 * t428);
  t647 = my_piecewise3(t53, 0, -0.8e1 / 0.27e2 * t421 * t636 + 0.4e1 / 0.3e1 * t255 * t307 + 0.4e1 / 0.3e1 * t54 * t643);
  t648 = t647 * t26;
  t653 = t312 * t31;
  t664 = 0.1e1 / t61 / t321 / rho[1];
  t665 = t58 * t664;
  t669 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t648 * t67 - 0.3e1 / 0.8e1 * t594 + 0.40967043795317740887e-2 * t653 * t141 + t526 / 0.4e1 + 0.27311362530211827258e-2 * t601 - 0.15021249391616504992e-1 * t317 * t324 - t451 - 0.91037875100706090862e-3 * t537 - 0.50070831305388349974e-2 * t608 + 0.23366387942514563321e-1 * t137 * t665);
  tv3rho33 = 0.3e1 * t301 + 0.3e1 * t328 + t6 * (t635 + t669);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t675 = t178 * t149;
  t680 = 0.11379734387588261358e-3 * t187 * t149;
  t681 = t86 * t335;
  t683 = t148 * t196;
  t687 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t174 * t149 - 0.34139203162764784074e-3 * t675 + 0.2731136253021182726e-2 * t80 * t335 + t680 + 0.91037875100706090865e-3 * t681 - 0.50070831305388349977e-2 * t27 * t683);
  tv3rho2sigma0 = t6 * t687 + 0.2e1 * t339;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t692 = t219 * t153;
  t695 = 0.11379734387588261358e-3 * t223 * t153;
  t697 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t215 * t153 - 0.34139203162764784074e-3 * t692 + t695);
  tv3rho2sigma2 = t6 * t697 + 0.2e1 * t346;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t701 = t244 * t149;
  t708 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t240 * t149 - 0.17069601581382392037e-3 * t701 + 0.1365568126510591363e-2 * t122 * t335 - 0.17069601581382392037e-3 * t675 + t680 + 0.45518937550353045432e-3 * t681);
  tv3rho2sigma3 = t6 * t708 + t339 + t351;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t712 = t268 * t153;
  t717 = t109 * t355;
  t720 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t264 * t153 - 0.17069601581382392037e-3 * t712 - 0.17069601581382392037e-3 * t692 + t695 + 0.1365568126510591363e-2 * t105 * t355 + 0.45518937550353045433e-3 * t717);
  tv3rho2sigma5 = t6 * t720 + t346 + t359;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t727 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t295 * t149 - 0.34139203162764784074e-3 * t701 + t680);
  tv3rho2sigma6 = t6 * t727 + 0.2e1 * t351;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t736 = t148 * t323;
  t740 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t312 * t153 - 0.34139203162764784074e-3 * t712 + 0.2731136253021182726e-2 * t133 * t355 + t695 + 0.91037875100706090865e-3 * t717 - 0.50070831305388349977e-2 * t57 * t736);
  tv3rho2sigma8 = t6 * t740 + 0.2e1 * t359;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  tv3rhosigma20 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  tv3rhosigma25 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  tv3rhosigma26 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  tv3rhosigma211 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  tv3sigma30 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  tv3sigma39 = 0.e0;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t744 = t19 * t19;
  t746 = 0.1e1 / t159 / t744;
  t747 = t161 * t161;
  t753 = t169 * t169;
  t759 = 0.1e1 / t371 / t6;
  t760 = t16 * t759;
  t763 = my_piecewise5(t10, 0, t14, 0, -0.24e2 * t372 + 0.24e2 * t760);
  t767 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t746 * t747 - 0.16e2 / 0.9e1 * t364 * t161 * t169 + 0.4e1 / 0.3e1 * t160 * t753 + 0.16e2 / 0.9e1 * t368 * t376 + 0.4e1 / 0.3e1 * t23 * t763);
  t777 = t5 * t173 * t186 * t43;
  t780 = t385 * t31 * t94;
  t784 = t5 * t79 * t402 * t43;
  t787 = t392 * t31 * t94;
  t790 = 0.1e1 / t84 / t164;
  t794 = 0.1e2 / 0.27e2 * t5 * t25 * t790 * t43;
  t796 = t403 * t31 * t94;
  t800 = t5 * t380 * t85 * t43;
  t804 = t407 * t197;
  t806 = t191 * t415;
  t816 = t396 * t197;
  t818 = -0.3e1 / 0.8e1 * t5 * t767 * t26 * t43 + 0.54622725060423654516e-2 * t381 * t31 * t94 + t777 / 0.2e1 + 0.54622725060423654516e-2 * t780 - 0.5e1 / 0.9e1 * t784 - 0.36415150040282436344e-2 * t787 + t794 + 0.20230638911268020192e-2 * t796 - t800 / 0.2e1 + 0.93465551770058253284e-1 * t182 * t415 + 0.66761108407184466632e-2 * t804 + 0.31155183923352751095e-1 * t806 - 0.13240953167424919215e0 * t90 * t34 / t37 / t194 / t35 - 0.30042498783233009984e-1 * t389 * t197 - 0.20028332522155339989e-1 * t816;
  t819 = my_piecewise3(t1, 0, t818);
  t820 = t52 * t52;
  t822 = 0.1e1 / t202 / t820;
  t823 = t204 * t204;
  t829 = t210 * t210;
  t834 = t49 * t759;
  t837 = my_piecewise5(t14, 0, t10, 0, 0.24e2 * t372 + 0.24e2 * t834);
  t841 = my_piecewise3(t53, 0, 0.4e2 / 0.81e2 * t822 * t823 - 0.16e2 / 0.9e1 * t421 * t204 * t210 + 0.4e1 / 0.3e1 * t203 * t829 + 0.16e2 / 0.9e1 * t425 * t431 + 0.4e1 / 0.3e1 * t54 * t837);
  t848 = t5 * t435 * t85 * t67;
  t852 = t5 * t214 * t186 * t67;
  t856 = t5 * t104 * t402 * t67;
  t861 = 0.1e2 / 0.27e2 * t5 * t56 * t790 * t67;
  t863 = my_piecewise3(t48, 0, -0.3e1 / 0.8e1 * t5 * t841 * t26 * t67 - t848 / 0.2e1 + t852 / 0.2e1 - 0.5e1 / 0.9e1 * t856 + t861);
  tv4rho40 = 0.4e1 * t419 + 0.4e1 * t453 + t6 * (t819 + t863);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t869 = t478 * t31 * t94;
  t873 = t5 * t121 * t402 * t43;
  t876 = t485 * t31 * t94;
  t877 = 0.91037875100706090862e-3 * t876;
  t880 = t5 * t473 * t85 * t43;
  t887 = t5 * t239 * t186 * t43;
  t888 = t887 / 0.4e1;
  t905 = 0.12e2 * t372;
  t906 = 0.24e2 * t760;
  t908 = my_piecewise5(t10, 0, t14, 0, -t905 + t906);
  t912 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t746 * t118 * t365 - 0.8e1 / 0.9e1 * t364 * t235 * t161 - 0.8e1 / 0.9e1 * t458 * t76 * t169 + 0.4e1 / 0.3e1 * t160 * t469 * t76 + 0.4e1 / 0.3e1 * t461 * t169 + 0.4e1 / 0.9e1 * t231 * t376 + 0.4e1 / 0.3e1 * t23 * t908);
  t925 = t489 * t197;
  t932 = 0.27311362530211827258e-2 * t869 - 0.5e1 / 0.36e2 * t873 - t877 - 0.3e1 / 0.8e1 * t880 + 0.40967043795317740887e-2 * t474 * t31 * t94 + t888 - 0.3e1 / 0.8e1 * t5 * t912 * t26 * t43 + t777 / 0.4e1 + 0.13655681265105913629e-2 * t780 - 0.5e1 / 0.12e2 * t784 - 0.18207575020141218172e-2 * t787 + t794 + 0.15172979183451015144e-2 * t796 - t800 / 0.8e1 - 0.15021249391616504992e-1 * t482 * t197 - 0.50070831305388349974e-2 * t925 + 0.23366387942514563321e-1 * t248 * t415 + 0.33380554203592233316e-2 * t804 + 0.77887959808381877737e-2 * t806 - 0.50070831305388349974e-2 * t816;
  t933 = my_piecewise3(t1, 0, t932);
  t950 = 0.24e2 * t834;
  t952 = my_piecewise5(t14, 0, t10, 0, t905 + t950);
  t956 = my_piecewise3(t53, 0, 0.4e2 / 0.81e2 * t822 * t129 * t422 - 0.8e1 / 0.9e1 * t421 * t259 * t204 - 0.8e1 / 0.9e1 * t501 * t101 * t210 + 0.4e1 / 0.3e1 * t203 * t511 * t101 + 0.4e1 / 0.3e1 * t504 * t210 + 0.4e1 / 0.9e1 * t255 * t431 + 0.4e1 / 0.3e1 * t54 * t952);
  t963 = t5 * t515 * t85 * t67;
  t967 = t5 * t263 * t186 * t67;
  t968 = t967 / 0.4e1;
  t971 = t5 * t132 * t402 * t67;
  t980 = t440 * t31 * t141;
  t983 = t444 * t31 * t141;
  t986 = t448 * t31 * t141;
  t988 = -0.3e1 / 0.8e1 * t5 * t956 * t26 * t67 - 0.3e1 / 0.8e1 * t963 + t968 - 0.5e1 / 0.36e2 * t971 - t848 / 0.8e1 + t852 / 0.4e1 - 0.5e1 / 0.12e2 * t856 + t861 + 0.13655681265105913629e-2 * t436 * t31 * t141 + 0.13655681265105913629e-2 * t980 - 0.9103787510070609086e-3 * t983 + 0.50576597278170050478e-3 * t986;
  t989 = my_piecewise3(t48, 0, t988);
  tv4rho41 = t419 + t453 + 0.3e1 * t500 + 0.3e1 * t540 + t6 * (t933 + t989);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t1000 = t5 * t556 * t85 * t43;
  t1007 = t5 * t294 * t186 * t43;
  t1010 = t561 * t31 * t94;
  t1025 = t235 * t235;
  t1038 = my_piecewise5(t10, 0, t14, 0, t906);
  t1042 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t746 * t285 * t161 - 0.32e2 / 0.27e2 * t458 * t76 * t235 - 0.8e1 / 0.27e2 * t543 * t169 + 0.8e1 / 0.9e1 * t160 * t1025 + 0.8e1 / 0.9e1 * t231 * t469 - 0.8e1 / 0.27e2 * t364 * t290 * t161 + 0.8e1 / 0.9e1 * t160 * t552 * t76 + 0.4e1 / 0.9e1 * t548 * t169 + 0.4e1 / 0.3e1 * t23 * t1038);
  t1053 = -0.50070831305388349973e-2 * t565 * t197 - t1000 / 0.4e1 + 0.27311362530211827258e-2 * t557 * t31 * t94 + t1007 / 0.12e2 + 0.91037875100706090861e-3 * t1010 + 0.18207575020141218172e-2 * t869 - 0.5e1 / 0.18e2 * t873 - 0.12138383346760812115e-2 * t876 - t880 / 0.4e1 + t887 / 0.3e1 - 0.3e1 / 0.8e1 * t5 * t1042 * t26 * t43 + t777 / 0.12e2 - 0.5e1 / 0.18e2 * t784 - 0.60691916733804060576e-3 * t787 + t794 + 0.10115319455634010096e-2 * t796 - 0.33380554203592233316e-2 * t925 + 0.11126851401197411106e-2 * t804;
  t1054 = my_piecewise3(t1, 0, t1053);
  t1063 = t259 * t259;
  t1076 = my_piecewise5(t14, 0, t10, 0, t950);
  t1080 = my_piecewise3(t53, 0, 0.4e2 / 0.81e2 * t822 * t302 * t204 - 0.32e2 / 0.27e2 * t501 * t101 * t259 - 0.8e1 / 0.27e2 * t574 * t210 + 0.8e1 / 0.9e1 * t203 * t1063 + 0.8e1 / 0.9e1 * t255 * t511 - 0.8e1 / 0.27e2 * t421 * t307 * t204 + 0.8e1 / 0.9e1 * t203 * t583 * t101 + 0.4e1 / 0.9e1 * t579 * t210 + 0.4e1 / 0.3e1 * t54 * t1076);
  t1087 = t5 * t587 * t85 * t67;
  t1091 = t5 * t311 * t186 * t67;
  t1100 = t520 * t31 * t141;
  t1103 = t524 * t31 * t141;
  t1112 = t533 * t324;
  t1114 = t536 * t324;
  t1116 = -0.3e1 / 0.8e1 * t5 * t1080 * t26 * t67 - t1087 / 0.4e1 + t1091 / 0.12e2 - t963 / 0.4e1 + t967 / 0.3e1 - 0.5e1 / 0.18e2 * t971 + 0.27311362530211827258e-2 * t516 * t31 * t141 + 0.18207575020141218172e-2 * t1100 - 0.60691916733804060573e-3 * t1103 + t852 / 0.12e2 - 0.5e1 / 0.18e2 * t856 + t861 + 0.91037875100706090861e-3 * t980 - 0.12138383346760812115e-2 * t983 + 0.10115319455634010096e-2 * t986 - 0.50070831305388349973e-2 * t530 * t324 - 0.33380554203592233316e-2 * t1112 + 0.11126851401197411105e-2 * t1114;
  t1117 = my_piecewise3(t48, 0, t1116);
  tv4rho42 = 0.2e1 * t500 + 0.2e1 * t540 + 0.2e1 * t573 + 0.2e1 * t611 + t6 * (t1054 + t1117);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t1138 = my_piecewise5(t10, 0, t14, 0, t905 + t906);
  t1142 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t746 * t616 * t76 - 0.8e1 / 0.9e1 * t543 * t235 - 0.8e1 / 0.9e1 * t458 * t290 * t76 + 0.4e1 / 0.3e1 * t461 * t290 + 0.4e1 / 0.3e1 * t231 * t552 + 0.4e1 / 0.9e1 * t160 * t623 * t76 + 0.4e1 / 0.3e1 * t23 * t1138);
  t1149 = t5 * t627 * t85 * t43;
  t1160 = -0.3e1 / 0.8e1 * t5 * t1142 * t26 * t43 - t1149 / 0.8e1 + 0.13655681265105913629e-2 * t628 * t31 * t94 - 0.3e1 / 0.8e1 * t1000 + t1007 / 0.4e1 + 0.13655681265105913629e-2 * t1010 + t888 - 0.5e1 / 0.12e2 * t873 - t877 - 0.5e1 / 0.36e2 * t784 + t794 + 0.50576597278170050479e-3 * t796;
  t1161 = my_piecewise3(t1, 0, t1160);
  t1178 = my_piecewise5(t14, 0, t10, 0, -t905 + t950);
  t1182 = my_piecewise3(t53, 0, 0.4e2 / 0.81e2 * t822 * t636 * t101 - 0.8e1 / 0.9e1 * t574 * t259 - 0.8e1 / 0.9e1 * t501 * t307 * t101 + 0.4e1 / 0.3e1 * t504 * t307 + 0.4e1 / 0.3e1 * t255 * t583 + 0.4e1 / 0.9e1 * t203 * t643 * t101 + 0.4e1 / 0.3e1 * t54 * t1178);
  t1189 = t5 * t647 * t85 * t67;
  t1197 = t592 * t31 * t141;
  t1204 = t600 * t324;
  t1213 = t276 * t665;
  t1215 = -0.3e1 / 0.8e1 * t5 * t1182 * t26 * t67 - t1189 / 0.8e1 - 0.3e1 / 0.8e1 * t1087 + t1091 / 0.4e1 + 0.40967043795317740887e-2 * t588 * t31 * t141 + 0.13655681265105913629e-2 * t1197 + t968 - 0.5e1 / 0.12e2 * t971 + 0.27311362530211827258e-2 * t1100 - 0.18207575020141218172e-2 * t1103 - 0.15021249391616504992e-1 * t597 * t324 - 0.50070831305388349973e-2 * t1204 - 0.5e1 / 0.36e2 * t856 + t861 - 0.91037875100706090862e-3 * t983 + 0.15172979183451015144e-2 * t986 - 0.50070831305388349974e-2 * t1112 + 0.33380554203592233316e-2 * t1114 + 0.23366387942514563321e-1 * t273 * t665 + 0.77887959808381877737e-2 * t1213;
  t1216 = my_piecewise3(t48, 0, t1215);
  tv4rho43 = 0.3e1 * t573 + 0.3e1 * t611 + t635 + t669 + t6 * (t1161 + t1216);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t1221 = t285 * t285;
  t1226 = t290 * t290;
  t1233 = my_piecewise5(t10, 0, t14, 0, 0.24e2 * t372 + 0.24e2 * t760);
  t1237 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t746 * t1221 - 0.16e2 / 0.9e1 * t543 * t290 + 0.4e1 / 0.3e1 * t160 * t1226 + 0.16e2 / 0.9e1 * t231 * t623 + 0.4e1 / 0.3e1 * t23 * t1233);
  t1246 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t1237 * t26 * t43 - t1149 / 0.2e1 + t1007 / 0.2e1 - 0.5e1 / 0.9e1 * t873 + t794);
  t1247 = t302 * t302;
  t1252 = t307 * t307;
  t1259 = my_piecewise5(t14, 0, t10, 0, -0.24e2 * t372 + 0.24e2 * t834);
  t1263 = my_piecewise3(t53, 0, 0.4e2 / 0.81e2 * t822 * t1247 - 0.16e2 / 0.9e1 * t574 * t307 + 0.4e1 / 0.3e1 * t203 * t1252 + 0.16e2 / 0.9e1 * t255 * t643 + 0.4e1 / 0.3e1 * t54 * t1259);
  t1290 = -0.3e1 / 0.8e1 * t5 * t1263 * t26 * t67 + 0.54622725060423654516e-2 * t648 * t31 * t141 - 0.30042498783233009984e-1 * t653 * t324 + 0.93465551770058253284e-1 * t317 * t665 - 0.13240953167424919215e0 * t137 * t58 / t61 / t321 / t59 + 0.31155183923352751095e-1 * t1213 + 0.54622725060423654516e-2 * t1197 - 0.20028332522155339989e-1 * t1204 + 0.66761108407184466632e-2 * t1114 - 0.36415150040282436344e-2 * t1103 + 0.20230638911268020192e-2 * t986 - t1189 / 0.2e1 + t1091 / 0.2e1 - 0.5e1 / 0.9e1 * t971 + t861;
  t1291 = my_piecewise3(t48, 0, t1290);
  tv4rho44 = 0.4e1 * t635 + 0.4e1 * t669 + t6 * (t1246 + t1291);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t1297 = t385 * t149;
  t1301 = t392 * t149;
  t1303 = t178 * t335;
  t1308 = 0.1896622397931376893e-3 * t403 * t149;
  t1309 = t187 * t335;
  t1311 = t86 * t683;
  t1317 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t381 * t149 - 0.51208804744147176111e-3 * t1297 + 0.4096704379531774089e-2 * t174 * t335 + 0.34139203162764784074e-3 * t1301 + 0.2731136253021182726e-2 * t1303 - 0.15021249391616504993e-1 * t80 * t683 - t1308 - 0.91037875100706090865e-3 * t1309 - 0.50070831305388349976e-2 * t1311 + 0.23366387942514563323e-1 * t27 * t148 * t414);
  tv4rho3sigma0 = t6 * t1317 + 0.3e1 * t687;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t1322 = t440 * t153;
  t1324 = t444 * t153;
  t1327 = 0.1896622397931376893e-3 * t448 * t153;
  t1329 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t436 * t153 - 0.51208804744147176111e-3 * t1322 + 0.34139203162764784074e-3 * t1324 - t1327);
  tv4rho3sigma2 = t6 * t1329 + 0.3e1 * t697;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t1331 = 0.2e1 * t708;
  t1335 = 0.34139203162764784074e-3 * t478 * t149;
  t1338 = t485 * t149;
  t1340 = t244 * t335;
  t1349 = -0.51208804744147176112e-3 * t474 * t149 - t1335 + 0.2731136253021182726e-2 * t240 * t335 + 0.11379734387588261358e-3 * t1338 + 0.91037875100706090865e-3 * t1340 - 0.50070831305388349977e-2 * t122 * t683 - 0.17069601581382392037e-3 * t1297 + 0.22759468775176522716e-3 * t1301 + 0.91037875100706090864e-3 * t1303 - t1308 - 0.60691916733804060576e-3 * t1309 - 0.16690277101796116658e-2 * t1311;
  t1350 = my_piecewise3(t1, 0, t1349);
  tv4rho3sigma3 = t6 * t1350 + t1331 + t687;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t1352 = 0.2e1 * t720;
  t1356 = 0.34139203162764784074e-3 * t520 * t153;
  t1357 = t524 * t153;
  t1363 = t219 * t355;
  t1365 = t223 * t355;
  t1368 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t516 * t153 - t1356 + 0.11379734387588261358e-3 * t1357 - 0.17069601581382392037e-3 * t1322 + 0.22759468775176522716e-3 * t1324 - t1327 + 0.1365568126510591363e-2 * t215 * t355 + 0.91037875100706090866e-3 * t1363 - 0.30345958366902030289e-3 * t1365);
  tv4rho3sigma5 = t6 * t1368 + t1352 + t697;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t1372 = t561 * t149;
  t1381 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t557 * t149 - 0.17069601581382392037e-3 * t1372 + 0.1365568126510591363e-2 * t295 * t335 - t1335 + 0.22759468775176522716e-3 * t1338 + 0.91037875100706090864e-3 * t1340 + 0.11379734387588261358e-3 * t1301 - t1308 - 0.30345958366902030288e-3 * t1309);
  tv4rho3sigma6 = t6 * t1381 + t1331 + t727;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t1385 = t592 * t153;
  t1390 = t268 * t355;
  t1397 = t109 * t736;
  t1399 = -0.51208804744147176112e-3 * t588 * t153 - 0.17069601581382392037e-3 * t1385 - t1356 + 0.22759468775176522716e-3 * t1357 + 0.2731136253021182726e-2 * t264 * t355 + 0.91037875100706090867e-3 * t1390 + 0.11379734387588261358e-3 * t1324 - t1327 + 0.91037875100706090865e-3 * t1363 - 0.60691916733804060577e-3 * t1365 - 0.50070831305388349977e-2 * t105 * t736 - 0.16690277101796116659e-2 * t1397;
  t1400 = my_piecewise3(t48, 0, t1399);
  tv4rho3sigma8 = t6 * t1400 + t1352 + t740;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t1408 = my_piecewise3(t1, 0, -0.51208804744147176112e-3 * t628 * t149 - 0.51208804744147176111e-3 * t1372 + 0.34139203162764784074e-3 * t1338 - t1308);
  tv4rho3sigma9 = t6 * t1408 + 0.3e1 * t727;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t1426 = my_piecewise3(t48, 0, -0.51208804744147176112e-3 * t648 * t153 - 0.51208804744147176111e-3 * t1385 + 0.4096704379531774089e-2 * t312 * t355 + 0.34139203162764784074e-3 * t1357 + 0.2731136253021182726e-2 * t1390 - 0.15021249391616504993e-1 * t133 * t736 - t1327 - 0.91037875100706090865e-3 * t1365 - 0.50070831305388349976e-2 * t1397 + 0.23366387942514563323e-1 * t57 * t148 * t664);
  tv4rho3sigma11 = t6 * t1426 + 0.3e1 * t740;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  tv4rho2sigma20 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  tv4rho2sigma25 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  tv4rho2sigma26 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  tv4rho2sigma211 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  tv4rho2sigma212 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  tv4rho2sigma217 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  tv4rhosigma30 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  tv4rhosigma39 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  tv4rhosigma310 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  tv4rhosigma319 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  tv4sigma40 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  tv4sigma414 = 0.e0;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

}

#endif

